# Uses of Class
org.xnio.channels.NullStreamSinkChannel

Packages that use NullStreamSinkChannel
Package
Description
org.xnio.channels
The core XNIO channel API.

## Uses of NullStreamSinkChannel in org.xnio.channels

Methods in org.xnio.channels that return types with arguments of type NullStreamSinkChannel
Modifier and Type
Method
Description
`ChannelListener<? super NullStreamSinkChannel>`
NullStreamSinkChannel.`getCloseListener()`
`ChannelListener.Setter<NullStreamSinkChannel>`
NullStreamSinkChannel.`getCloseSetter()`
`ChannelListener<? super NullStreamSinkChannel>`
NullStreamSinkChannel.`getWriteListener()`
`ChannelListener.Setter<NullStreamSinkChannel>`
NullStreamSinkChannel.`getWriteSetter()`
Method parameters in org.xnio.channels with type arguments of type NullStreamSinkChannel
Modifier and Type
Method
Description
`void`
NullStreamSinkChannel.`setCloseListener(ChannelListener<? super NullStreamSinkChannel> closeListener)`
`void`
NullStreamSinkChannel.`setWriteListener(ChannelListener<? super NullStreamSinkChannel> writeListener)`